Object Storage

Get replication

get/object-storage/replications/{replication_uuid}

See one replication of your buckets in detail: destination, rules, status, health, the progress of the initial copy and the latest transfer metrics.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

replication_uuid*string

Responses

Successful Response

application/json

uuid*string
status*string
pause_reason?string | null
direction*string
Value in"outgoing""incoming"
source*ObjectStorageReplicationSourceOut
Properties (5)
bucket_uuid?string | null
bucket_name?string | null
project_id?integer | null
organization_name?string | null
same_organization*boolean
destination*ObjectStorageReplicationCubepathDestOut | ObjectStorageReplicationExternalDestOut
One of
ObjectStorageReplicationCubepathDestOut
Properties (6)
type*string
Value in"cubepath"
bucket_uuid?string | null
bucket_name?string | null
project_id?integer | null
organization_name?string | null
same_organization*boolean
ObjectStorageReplicationExternalDestOut
Properties (7)
type*string
Value in"external"
provider?string | null
endpoint?string | null
region?string | null
bucket?string | null
path_style*string
access_key_id?string | null

Masked: **** and the last 4 characters

rules*ObjectStorageReplicationRulesOut
Properties (6)
enabled*boolean
prefix?string | null
tags?array<ObjectStorageLifecycleTagOut>
Properties (2)
key*string
value*string
delete_marker_replication*boolean
delete_replication*boolean
existing_objects*boolean
health*string
health_reason?string | null
health_checked_at?string | null
backfill*ObjectStorageReplicationBackfillOut
Properties (6)
status*string
started_at?string | null
finished_at?string | null
objects*integer
bytes*integer
failed_objects*integer
error_message?string | null
created_at?string | null
active_at?string | null
metrics?ObjectStorageReplicationMetricsOut | null
Properties (7)
replicated_bytes_24h?integer | null
replicated_objects_24h?integer | null
failed_objects_1h?integer | null
queued_objects?integer | null
queued_bytes?integer | null
last_sample_at?string | null
egress_bytes_month?integer | null